List of all members
clan::Angle Class Reference
clanCore Math

Angle class. More...

`#include <angle.h>`

## Public Member Functions
Attributes
float | to_degrees () const
| Returns the angle as degrees. More...
float | to_radians () const
| Returns the angle as radians. More...
Operations
void | set_degrees (float value_degrees)
| Set the angle value in degrees. More...
void | set_radians (float value_radians)
| Set the angle value in radians. More...
Angle & | normalize ()
| Converts angle to range [0,360] degrees. More...
Angle & | normalize_180 ()
| Converts angle to range [-180,180] degrees. More...
Operators
void | operator+= (const Angle &angle)
| += operator. More...
void | operator-= (const Angle &angle)
| -= operator. More...
void | operator*= (const Angle &angle)
| *= operator. More...
void | operator/= (const Angle &angle)
| /= operator. More...
Angle | operator+ (const Angle &angle) const
| operator. More...
Angle | operator- (const Angle &angle) const
| operator. More...
Angle | operator* (const Angle &angle) const
| operator. More...
Angle | operator* (float value) const
| operator. More...
Angle | operator/ (const Angle &angle) const
| / operator. More...
Angle | operator/ (float value) const
| / operator. More...
bool | operator< (const Angle &angle) const
| < operator. More...
bool | operator<= (const Angle &angle) const
| < operator. More...
bool | operator> (const Angle &angle) const
| operator. More...
bool | operator>= (const Angle &angle) const
| operator. More...
bool | operator== (const Angle &angle) const
| == operator. More...
bool | operator!= (const Angle &angle) const
| != operator. More...

## Construction
| Angle ()
| Constructs an NULL Angle object. More...
| Angle (float value, AngleUnit unit)
| Constructs an Angle object. More...
static Angle | from_radians (float value)
| From radians. More...
static Angle | from_degrees (float value)
| From degrees. More...

## Detailed Description

Angle class.

The documentation for this class was generated from the following file:

- angle.h